summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Matteo Bernardini2020-03-22 15:41:45 +0100
committer Robby Workman2021-04-18 06:52:25 +0200
commit35b0ccc0e6be727400239d1e8f345b3e13956d62 (patch)
tree30d562bb249f66b0b2e022950b6a83634d159354 /perl
parent7e826df2176080a0c1f683ca1023b244cf99e4e0 (diff)
downloadslackbuilds-35b0ccc0e6be727400239d1e8f345b3e13956d62.tar.gz
perl/perl-Crypt-OpenSSL-Guess: Added (perl module).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Crypt-OpenSSL-Guess/README4
-rw-r--r--perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.SlackBuild109
-rw-r--r--perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.info10
-rw-r--r--perl/perl-Crypt-OpenSSL-Guess/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/perl/perl-Crypt-OpenSSL-Guess/README b/perl/perl-Crypt-OpenSSL-Guess/README
new file mode 100644
index 0000000000..9c2f55c509
--- /dev/null
+++ b/perl/perl-Crypt-OpenSSL-Guess/README
@@ -0,0 +1,4 @@
+perl-Crypt-OpenSSL-Guess provides perl modules for Guess encoding and decoding,
+using the openSSL libraries.
+
+perl-Crypt-OpenSSL-Guess is required for perl-Mail-DKIM.
diff --git a/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.SlackBuild b/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.SlackBuild
new file mode 100644
index 0000000000..58355bcf0d
--- /dev/null
+++ b/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: Crypt::OpenSSL::Guess
+
+# Copyright (c) 2020 Matteo Bernardini <ponce@slackbuilds.org, Pisa, Italy
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="perl-Crypt-OpenSSL-Guess"
+SRCNAM="Crypt-OpenSSL-Guess"
+VERSION=${VERSION:-0.11}
+TAG=${TAG:-_SBo}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes LICENSE README.md"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.info b/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.info
new file mode 100644
index 0000000000..1624ccb08c
--- /dev/null
+++ b/perl/perl-Crypt-OpenSSL-Guess/perl-Crypt-OpenSSL-Guess.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Crypt-OpenSSL-Guess"
+VERSION="0.11"
+HOMEPAGE="https://metacpan.org/pod/Crypt::OpenSSL::Guess"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz"
+MD5SUM="e768fe2c07826b0ac9ea604c79f93032"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Crypt-OpenSSL-Random"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/perl/perl-Crypt-OpenSSL-Guess/slack-desc b/perl/perl-Crypt-OpenSSL-Guess/slack-desc
new file mode 100644
index 0000000000..3ca34f679a
--- /dev/null
+++ b/perl/perl-Crypt-OpenSSL-Guess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Crypt-OpenSSL-Guess: perl-Crypt-OpenSSL-Guess (Crypt::OpenSSL::Guess)
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess: perl-Crypt-OpenSSL-Guess provides helpers to guess OpenSSL include
+perl-Crypt-OpenSSL-Guess: path on any platforms.
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess: homepage: https://metacpan.org/pod/Crypt::OpenSSL::Guess
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess:
+perl-Crypt-OpenSSL-Guess: